%define evo_major 3.4
%define eds_major 1.2

%define strict_build_settings 0

%define api	1.0
%define major	0
%define libname	%mklibname exchangemapi %{api} %{major}
%define devname	%mklibname -d exchangemapi

Summary:	Evolution extension for MS Exchange 2007/2010 servers
Name:		evolution-mapi
Version:	3.4.4
Release:	1
Group:		Networking/Mail
License:	LGPLv2+
URL:		http://www.gnome.org/projects/evolution-mapi/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz

BuildRequires: gettext
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: evolution-data-server-devel
BuildRequires: pkgconfig(evolution-shell-3.0)
BuildRequires: pkgconfig(libebackend-1.2)
BuildRequires: pkgconfig(libedata-cal-1.2)
BuildRequires: pkgconfig(libedata-book-1.2)
BuildRequires: libmapi-devel
BuildRequires: gnome-desktop-devel
BuildRequires: tdb-devel
BuildRequires: samba4-devel

Requires:	evolution
Requires:	evolution-data-server

%description
This package allows Evolution to interact with MS Exchange 2007/2010 servers.

%package -n %{libname}
Summary: Shared library of %{name}
Group: System/Libraries

%description -n %{libname}
This package allows Evolution to interact with MS Exchange 2007/2010 servers.

%package -n %{devname}
Summary: Development files for building against %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %version-%release

%description -n %{devname}
Development files needed for building things which link against %{name}.

%prep
%setup -q

%build

# Add stricter build settings here as the source code gets cleaned up.
# We want to make sure things like compiler warnings and avoiding deprecated
# functions in the GNOME/GTK+ libraries stay fixed.
#
# Please file a bug report at bugzilla.gnome.org if these settings break
# compilation, and encourage the upstream developers to use them.

%if %{strict_build_settings}
CFLAGS="$CFLAGS \
	-DG_DISABLE_DEPRECATED=1 \
	-DPANGO_DISABLE_DEPRECATED=1 \
	-DGDK_PIXBUF_DISABLE_DEPRECATED=1 \
	-DGDK_DISABLE_DEPRECATED=1 \
	-DGTK_DISABLE_DEPRECATED=1 \
	-DEDS_DISABLE_DEPRECATED=1 \
	-Wdeclaration-after-statement \
	-Werror-implicit-function-declaration"
%endif

%configure2_5x
%make

%install
%makeinstall_std

find $RPM_BUILD_ROOT/%{_libdir}/evo* -name '*.la' -exec rm {} \;

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING INSTALL README
%{_libdir}/evolution/%{evo_major}/plugins/*
%{_libdir}/evolution-data-server/camel-providers/libcamelmapi.so
%{_libdir}/evolution-data-server/camel-providers/libcamelmapi.urls
%{_libdir}/evolution-data-server/addressbook-backends/libebookbackendmapi.so
%{_libdir}/evolution-data-server/calendar-backends/libecalbackendmapi.so
%{_datadir}/evolution-data-server-%{evo_major}/mapi

%files -n %{libname}
%{_libdir}/libexchangemapi-%{api}.so.%{major}*

%files -n %{devname}
%{_includedir}/evolution-data-server-%{evo_major}/mapi
%{_libdir}/libexchangemapi-1.0.so
%{_libdir}/pkgconfig/libexchangemapi-1.0.pc


%changelog
* Mon Aug 13 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.4.4-1
+ Revision: 814521
- update to new version 3.4.4

* Tue Jun 19 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.4.3-1
+ Revision: 806259
- update to new version 3.4.3

* Fri Jun 15 2012 Crispin Boylan <crisb@mandriva.org> 3.4.2-1
+ Revision: 805872
- New release

* Thu Jun 14 2012 Crispin Boylan <crisb@mandriva.org> 3.4.1-1
+ Revision: 805750
- New release

* Mon Feb 07 2011 Götz Waschk <waschk@mandriva.org> 0.32.2-1
+ Revision: 636534
- update to new version 0.32.2

* Mon Nov 15 2010 Götz Waschk <waschk@mandriva.org> 0.32.1-1mdv2011.0
+ Revision: 597761
- update to new version 0.32.1

* Mon Sep 27 2010 Götz Waschk <waschk@mandriva.org> 0.32.0-1mdv2011.0
+ Revision: 581262
- update to new version 0.32.0

* Mon Sep 13 2010 Götz Waschk <waschk@mandriva.org> 0.31.92-1mdv2011.0
+ Revision: 578009
- update to new version 0.31.92

* Mon Aug 30 2010 Götz Waschk <waschk@mandriva.org> 0.31.91-1mdv2011.0
+ Revision: 574325
- update to new version 0.31.91

* Mon Aug 16 2010 Götz Waschk <waschk@mandriva.org> 0.31.90-1mdv2011.0
+ Revision: 570472
- update to new version 0.31.90

* Tue Aug 03 2010 Götz Waschk <waschk@mandriva.org> 0.31.6-1mdv2011.0
+ Revision: 565556
- new version
- fix evolution dir version

* Fri Jul 30 2010 Götz Waschk <waschk@mandriva.org> 0.31.5-1mdv2011.0
+ Revision: 563659
- new version
- rediff the patch
- bump deps

* Tue Jun 22 2010 Frederic Crozat <fcrozat@mandriva.com> 0.30.2.1-1mdv2010.1
+ Revision: 548546
- Release 0.30.2.1

* Mon Apr 26 2010 Götz Waschk <waschk@mandriva.org> 0.30.1-1mdv2010.1
+ Revision: 538982
- update to new version 0.30.1

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 0.30.0-1mdv2010.1
+ Revision: 528778
- update to new version 0.30.0

* Mon Mar 08 2010 Götz Waschk <waschk@mandriva.org> 0.29.92-1mdv2010.1
+ Revision: 515891
- update to new version 0.29.92
- fix obsoleting the devel package

* Thu Mar 04 2010 Götz Waschk <waschk@mandriva.org> 0.29.91-2mdv2010.1
+ Revision: 514082
- fix devel obsoletes

* Wed Mar 03 2010 Götz Waschk <waschk@mandriva.org> 0.29.91-1mdv2010.1
+ Revision: 513784
- fix linking
- split out library package
- new version
- bump libmapi dep

* Fri Jan 15 2010 Götz Waschk <waschk@mandriva.org> 0.29.5-4mdv2010.1
+ Revision: 491611
- rebuild for lost package

* Tue Jan 12 2010 Götz Waschk <waschk@mandriva.org> 0.29.5-3mdv2010.1
+ Revision: 490057
- bump
- rebuild for new libedata-cal

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 0.29.5-1mdv2010.1
+ Revision: 489814
- update to new version 0.29.5

* Tue Dec 22 2009 Götz Waschk <waschk@mandriva.org> 0.29.4-1mdv2010.1
+ Revision: 481225
- new version
- drop patch
- bump deps

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 0.29.3-1mdv2010.1
+ Revision: 475721
- new version
- update deps
- fix build

* Tue Oct 20 2009 Götz Waschk <waschk@mandriva.org> 0.28.1-1mdv2010.0
+ Revision: 458339
- update to new version 0.28.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 0.28.0-1mdv2010.0
+ Revision: 446949
- update to new version 0.28.0

* Fri Sep 11 2009 Götz Waschk <waschk@mandriva.org> 0.27.92-1mdv2010.0
+ Revision: 437907
- new version

* Mon Aug 24 2009 Götz Waschk <waschk@mandriva.org> 0.27.91-1mdv2010.0
+ Revision: 420537
- update build deps
- update to new version 0.27.91

* Mon Aug 10 2009 Götz Waschk <waschk@mandriva.org> 0.27.90-1mdv2010.0
+ Revision: 414230
- update to new version 0.27.90

* Mon Jul 27 2009 Götz Waschk <waschk@mandriva.org> 0.27.5-1mdv2010.0
+ Revision: 400785
- new version
- update file list

* Mon Jul 13 2009 Götz Waschk <waschk@mandriva.org> 0.27.4-1mdv2010.0
+ Revision: 395451
- update to new version 0.27.4

* Mon Jun 15 2009 Götz Waschk <waschk@mandriva.org> 0.27.3-1mdv2010.0
+ Revision: 386019
- update to new version 0.27.3

* Tue May 26 2009 Götz Waschk <waschk@mandriva.org> 0.27.2-1mdv2010.0
+ Revision: 379840
- new version
- bump deps

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 0.27.1-1mdv2010.0
+ Revision: 374547
- new version
- bump deps
- new api version
- use the right configure macro

* Thu Apr 23 2009 Frederic Crozat <fcrozat@mandriva.com> 0.26.1-2mdv2009.1
+ Revision: 368834
- Fix devel package not installable

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 0.26.1-1mdv2009.1
+ Revision: 366927
- update to new version 0.26.1
- fix source URL

* Fri Mar 27 2009 Buchan Milne <bgmilne@mandriva.org> 0.26.0.1-1mdv2009.1
+ Revision: 361720
- import evolution-mapi


